# Credit Funding events

Credit Funding events

Endpoint: POST Credit Funding events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "CREDIT_FUNDING.CONFIRMED", "CREDIT_FUNDING.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)
    Credit Funding request unique identifier

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.account_group_id` (string, required)
    Account group unique identifier.

  - `object.cash_amount` (string, required)

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.remittance_information` (string, required)
    Payment reference the one that was used by the end user for the corresponding SEPA Credit Transfer

  - `object.counterparty` (object, required)

  - `object.counterparty.identification` (object, required)

  - `object.counterparty.identification.name` (string, required)
    Name of the counterparty

  - `object.counterparty.account` (object, required)

  - `object.counterparty.account.identification` (object, required)

  - `object.counterparty.account.identification.iban` (string, required)
    International Bank Account Number [IBAN](https://en.wikipedia.org/wiki/International_Bank_Account_Number).

  - `object.status` (string)
    Status of the credit funding
* CONFIRMED - Credit Funding was confirmed.
* CANCELLED - Credit Funding was cancelled.
    Enum: "CONFIRMED", "CANCELLED"

  - `object.virtual_bank_account_id` (string)
    Virtual bank account request unique identifier.

  - `object.purpose_code` (string)
    Purpose of the payment based on ExternalPurpose1Code from [ISO 20022](https://www.iso20022.org/catalogue-messages/additional-content-messages/external-code-sets).

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
